# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "indxvec"
version = "1.0.6"
authors = ["Libor Spacek"]
include = ["src/*.rs", "tests/*.rs", "Cargo.toml", "README.md", "LICENSE"]
description = "Efficiently sorting, merging, ranking, searching, reversing, intersecting, etc."
homepage = "https://github.com/liborty/indxvec"
readme = "README.md"
keywords = ["merge-sort", "set-operations", "ranking-searching", "random", "generic-vectors"]
categories = ["mathematics", "algorithms", "data-structures", "rust-patterns", "simulation"]
license = "Apache-2.0"
repository = "https://github.com/liborty/indxvec"
resolver = "2"

[lib]

[dependencies]
[badges.maintenance]
status = "actively-developed"
